Lancium Compute Resources

Available Applications

Applications packaged to run on Lancium Compute contain all of the necessary prerequisite libraries. You only need to upload your data files along with the script you'd like to run to process them.

Our currently supported applications and their installed versions are:

TensorFlow

on Python 2
  • Python 2.7
  • Tensorflow 1.14
  • Numpy 1.16
  • Scipy 1.2
on Python 3
  • Python 3.7
  • Tensorflow 1.13
  • Numpy 1.16
  • Scipy 1.2

PyTorch

on Python 2
  • Python 2.7
  • PyTorch 1.1
  • Numpy 1.16
on Python 3
  • Python 3.7
  • PyTorch 1.0
  • Numpy 1.16

Theano

on Python 2
  • Python 2.7
  • Theano 1.0
  • Numpy 1.16
  • Scipy 1.2
on Python 3
  • Python 3.7
  • Theano 1.0
  • Numpy 1.16
  • Scipy 1.3

Caffe

on Python 2
  • Python 2.7
  • Caffe 1.0
  • Numpy 1.16
  • Scipy 1.2
  • Pandas 0.24
  • Scikit-image 0.14
on Python 3
  • Python 3.7
  • Caffe 1.0
  • Numpy 1.16
  • Scipy 1.2
  • Pandas 0.24
  • Scikit-image 0.15

Keras

on Python 2

Not currently packaged. Contact us if you'd like to see it available.

on Python 3
  • Python 3.7
  • Keras 2.2
  • Tensorflow 1.13
  • Numpy 1.16
  • Scipy 1.2

If you have other frameworks you'd like packaged as a Lancium Compute application, or would like to see additional libraries in an existing application, let us know.

Compute Nodes

Lancium Compute nodes generally have the following specs. For details on the exact specifications of each performance tier, please check our pricing.

  • Celeron G3930 or Xeon E5-2680 CPUs
  • 2-16 CPU cores
  • 16, 32, or 64 GB of memory
  • NVIDIA 1070, K40, and K80 GPUs